Bug 5465 - Library files distributed incorrectly
Summary: Library files distributed incorrectly
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: lesstif
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-01 12:03 UTC by barsnick
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 1999-10-25 14:19:59 UTC


Attachments (Terms of Use)

Description barsnick 1999-10-01 12:03:20 UTC
In lesstif-0.88.1-3.i386.rpm,
lesstif-1.2-devel-0.88.1-3.i386.rpm,
lesstif-2.0-devel-0.88.1-3.i386.rpm, the dynamic library
files are distibuted incorrectly. The runtime lib libXm.so.1
is in "devel", whereas the linker lib (symb. link) libXm.so
is in the non-devel package, at least for the
1.2-compat-libraries. It's confusing to have to install the
devel packages to get runtime functionality. (Everything
seems okay for the 2.0-compat-libs, but I have no packages
which require them anyway...)

Comment 1 Tim Powers 1999-10-25 14:19:59 UTC
In the next release I'll state in the description section of the 1.2
libs that it includes the runtime libraries as well, this was an
oversight on my part.


Note You need to log in before you can comment on or make changes to this bug.